#!/bin/sh
# The next line is executed by /bin/sh, but not tcl \
exec wish "$0" ${1+"$@"}

if {$argc < 1} {
  puts stderr "$argv0 class ?class ...?"
  exit 1
}

wm withdraw .
proc Extract {} {
  global argv

  foreach class $argv {
    $class .widget_$class
    puts "/*\n * $class\n */"
    foreach option [.widget_$class configure] {
      puts -nonewline "\"[lindex $option 0]\", "
    }
    puts {}
    destroy .widget_$class
  }
}
Extract
exit 0
